# Register cPanel user for monitoring

This function creates a Site Quality Monitoring user account associated with a cPanel user account.

Endpoint: POST /SiteQuality/create_site_quality_user
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The cPanel account's email address.
    Example: "username@example.com"

  - `password` (string)
    The account's password.

Note:

If no password is given, one is auto-generated.

The system does not save this value.
    Example: "An3xample!?"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "create_site_quality_user"

  - `module` (string)
    The name of the module called.
    Example: "SiteQuality"

  - `result` (object)

  - `result.data` (object)
    An object that contains user attributes.

  - `result.data.app_token` (string)
    The long-lived token for this account. The koality servers require this token to authenticate. If this token is lost, the user must create a new account.
    Example: "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."

  - `result.data.username` (string)
    The account's username. This value reflects the email parameter.
    Example: "username@example.com"

  - `result.data.enabled` (boolean,null)
    Whether the account is enabled to process user data.
 * false - The account is disabled.
 * true - The account is enabled.
    Example: true

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages the API generated.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings that the API generated. Warnings describe non-critical failures or issues the system noted while running an API function.


